### Method

# Vips Image lshift

#### Declaration [src]

    int
    vips_lshift (
      VipsImage* left,
      VipsImage* right,
      VipsImage** out,
      ...
    )

#### Description [src]

Perform `VIPS_OPERATION_BOOLEAN_LSHIFT` on a pair of images. See `vips_boolean()`.

This method is not directly available to language bindings.

#### Parameters

`right`

  Type: `VipsImage`

  Right-hand input `VipsImage`.

  The data is owned by the caller of the method.

`out`

  Type: `VipsImage`

  Output `VipsImage`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.